Multiple Partial Captures
This section shows you how to process multiple partial captures for an authorization.
This feature enables you to request multiple partial captures for one authorization. A multiple partial capture allows you to incrementally settle authorizations over time. Ensure that the total amount of all the captures does not exceed the authorized amount.
After the final capture, automatically releases any remaining authorized amount.
Supported Processors
- Chase Paymentech Solutions
- Elavon Americas
- FDC Nashville Global
- Streamline
- Worldpay VAP
Processor-Specific Information
FDC Nashville Global: multiple partial captures are supported only for card-not-present transactions; they are not supported for card-present transactions.
Streamline: this processor might consider a partial capture to be a duplicate and reject the transaction when one or more of these fields is the same for a merchant ID. Ensure that you do not submit duplicate transaction information when using multiple partial captures, otherwise Streamline might reject the transaction:
clientReferenceInformation.codeorderInformation.amountDetails.totalAmountpaymentInformation.card.numbersubmitTimeUTC
: your account can be enabled for multiple partial captures or split shipments; it cannot be enabled for both features.
Prerequisite
For the processor, contact customer support to have your account enabled for this feature.
Fields Specific to This Use Case
These API request fields and values are specific to this use case:
processingInformation.captureOptions.captureSequenceNumberprocessingInformation.captureOptions.totalCaptureCount
Endpoints
POST /pts/v2/payments/{id}/captures
POST /pts/v2/payments/{id}/captures
POST /pts/v2/payments/{id}/captures
POST /pts/v2/payments/{id}/captures
POST /pts/v2/payments/{id}/captures
The {id} is the transaction ID returned in the authorization response.
Example
{ "clientReferenceInformation": { "code": "TC50171_3" }, "processingInformation": { "captureOptions": { "captureSequenceNumber": "2", "totalCaptureCount": "3" } }, "orderInformation": { "amountDetails": { "totalAmount": "102.21", "currency": "USD" } }}{ "_links": { "void": { "method": "POST", "href": "/pts/v2/captures/6742496815656503003954/voids" }, "self": { "method": "GET", "href": "/pts/v2/captures/6742496815656503003954" } }, "clientReferenceInformation": { "code": "TC50171_3" }, "id": "6742496815656503003954", "orderInformation": { "amountDetails": { "totalAmount": "102.21", "currency": "USD" } }, "reconciliationId": "67332020GD2G1OO1", "status": "PENDING", "submitTimeUtc": "2026-01-20T21:21:21Z"}Required Fields
These fields are required when processing multiple partial captures.
| Field | Description |
|---|---|
clientReferenceInformation. | Order reference or tracking number. Provide a unique value for each transaction so that you can perform meaningful searches for the transaction. Set to clientReferenceInformation. value used in corresponding authorization request. |
orderInformation. | — |
orderInformation. | — |
processingInformation. | For the final capture request, set this field and processingInformation. to the same value. FDC Compass: Required to avoid a downgrade for a Visa transaction. Strongly recommended for other card types. FDC Nashville Global: For Visa and Mastercard, the value for this field is sent to the processor. For all card types, the value for this field is used to determine whether to initiate an automatic partial authorization reversal. FDMS Nashville: Required with Visa and Mastercard. Not supported for other card types. Moneris: When the sequence number is the same as the total count, the capture is the final capture and no additional captures are allowed for the authorization. When the request does not include the sequence number and total count, the capture is the final capture and no additional captures are allowed for the authorization. OmniPay Direct: This field is strongly recommended. |
processingInformation. | When you do not know the total number of captures that you are going to request, set this field to at least one more than the processingInformation. field until you reach the final capture. For the final capture request, set this field and processingInformation. to the same value. FDC Compass: Required to avoid a downgrade for a Visa transaction. Strongly recommended for other card types. The value must be between 2 and 99 if the authorization is being captured in more than one request. The transaction fails if the value is not between 2 and 99. FDC Nashville Global: For Visa and Mastercard, the value for this field is sent to the processor. For all card types, the value for this field is used to determine whether to initiate an automatic partial authorization reversal. FDMS Nashville: Required with Visa and Mastercard. Not supported for other card types. Moneris: When the sequence number is the same as the total count, the capture is the final capture and no additional captures are allowed for the authorization. When the request does not include the sequence number and total count, the capture is the final capture and no additional captures are allowed for the authorization. OmniPay Direct: This field is strongly recommended. |
Thanks for your feedback!
Last published: October 28, 2026